plugins {
    id("jfmod") version "1.6-SNAPSHOT"
}

allprojects { group = "io.gitlab.jfronny" }
base.archivesName = "better-whitelist"

val muscriptVersion = "1.7-SNAPSHOT"
jfMod {
    minecraftVersion = "1.20.5"
    yarn("build.1")
    loaderVersion = "0.15.10"
    libJfVersion = "3.15.5"
    fabricApiVersion = "0.97.6+1.20.5"

    modrinth {
        projectId = "better-whitelist"
        requiredDependencies.addAll("fabric-api", "libjf")
    }
}

dependencies {
    modImplementation("net.fabricmc.fabric-api:fabric-networking-api-v1")
    modImplementation("net.fabricmc.fabric-api:fabric-command-api-v2")
    include(modImplementation("io.gitlab.jfronny:muscript-all:$muscriptVersion")!!)
    modImplementation("io.gitlab.jfronny.libjf:libjf-base")

    // Dev env
    modLocalRuntime("io.gitlab.jfronny.libjf:libjf-devutil")
    modLocalRuntime("com.terraformersmc:modmenu:10.0.0-beta.1")
    // for modmenu
    modLocalRuntime("net.fabricmc.fabric-api:fabric-resource-loader-v0")
    modLocalRuntime("net.fabricmc.fabric-api:fabric-screen-api-v1")
    modLocalRuntime("net.fabricmc.fabric-api:fabric-key-binding-api-v1")
}
